## cffi 0.19.0

=== debian/changelog ===
cffi (1:0.19.0-3) unstable; urgency=medium

  * Add dependency on libc6-dev | libc-dev (needed by cffi-grovel).
  * Set Maintainer to debian-common-lisp@l.d.o.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 04 Apr 2018 21:10:52 +0200

cffi (1:0.19.0-2) unstable; urgency=medium

  * Update Vcs-* fields for move to salsa.
  * Add debian/source/format.
  * Remove obsolete README.building.
  * Rewrite d/watch, with PGP signature checking.
  * Bump to debhelper compat level 11.
  * Remove build-dependency on dh-lisp.
  * Rewrite d/rules using dh.
  * Add missing files for cffi-libffi and cffi-toolchain.
    Also add missing Depends on gcc (for cffi-toolchain), pkg-config (for
    cffi-grovel) and libffi-dev (for cffi-libffi). (Closes: #894543)
  * Remove unused Build-Depends on a2ps.
  * Rewrite d/copyright using machine-readable format 1.0.
  * Bump Standards-Version to 4.1.3.
  * Install info manuals under /usr/share/info. (Closes: #784552)
  * Stop distributing the one-file-per-node version of HTML documentation
    (but keep the all-in-one-page version) (Closes: #784550)
  * Register documentation into doc-base.
  * Add Suggests on cl-bordeaux-threads and cl-rt, needed by cffi-tests.
  * Add myself to Uploaders.
  * cffi-tests.patch: new patch, avoids test failure due to testsuite being
    installed in read-only directory.
  * Add an autopkgtest that runs the testsuite on sbcl, ecl and clisp.
    (Closes: #560966)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Apr 2018 12:28:00 +0200

cffi (1:0.19.0-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 06 Jul 2017 16:27:30 +0300

cffi (1:0.18.0-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Sun, 20 Nov 2016 19:44:48 +0300

cffi (1:0.17.1-2) unstable; urgency=medium

  * Team upload.
  * Fix makeinfo woes on wheezy and precise.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 10 Aug 2016 15:02:57 +0200

cffi (1:0.17.1-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 06 Apr 2016 21:48:21 +0300

cffi (1:0.16.1-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 02 Nov 2015 20:32:39 +0300

cffi (1:0.15.0-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 15 Jul 2015 16:46:02 +0300

cffi (1:0.14.0-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Fri, 10 Oct 2014 14:02:03 +0400

cffi (1:0.13.0-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 19 Aug 2014 17:02:18 +0400

cffi (20100219-2) unstable; urgency=low

  * Added grovel/ to the copied files. (Closes: #565864)

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 19 Apr 2010 20:56:38 +0200

cffi (20100219-1) unstable; urgency=low

  * New upstream, mostly documentation changes. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 02 Mar 2010 07:32:24 +0100

cffi (20091211-1) unstable; urgency=low

  * Changes Section to lisp 
  * New upstream with minor changes. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 31 Dec 2009 14:34:42 +0100

cffi (20090823-2) unstable; urgency=low

  * Added correct dependencies. (Closes: #549264) 
  * duplicate html page just went away, no idea why. (Closes: #546172)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 07 Nov 2009 08:56:04 +0100

cffi (20090823-1) unstable; urgency=low

  * New upstream version (Closes: #519796, #511074)
  * Now use debhelper v7
  * Added debian/watch file
  * Added debian/README.building
  * Updated Standards-Version no real changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 10 Sep 2009 13:14:18 +0100

cffi (20080217-1) unstable; urgency=low

  * New upstream
  * Changed to group maintanance
  * Corrected Vcs-Darcs control field
  * Updated Standard Version without real changes
  * Added Homepage field
  * swap binary-indep and binary-arch round

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 13 Mar 2008 23:59:46 +0100

cffi (20070901-3) UNRELEASED; urgency=low

  * token new version
  * Use Vcs-Darcs in control file

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 26 Oct 2007 05:35:26 +0200

cffi (20070901-2) unstable; urgency=low

  * Stop conflicting with uffi and stop installing the 
    uffi-compat/uffi.asd file.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 02 Oct 2007 23:49:10 +0200

cffi (20070901-1) unstable; urgency=low

  * New upstream version with several fixes. (Closes: #442064)
  * Use texlive now.
  * Added conflict with cl-uffi. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 17 Sep 2007 05:22:05 +0200

cffi (20061013-1) unstable; urgency=low

  * Initial release. (Closes: #394223)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 22 Oct 2006 21:50:37 +0200
