## cffi 0.20.0

=== debian/changelog ===
cffi (1:0.20.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: reflect upstream changes
  * Use secure URL in Homepage field.
  * Actually fail autopkgtest on test failures.
  * Disable autopkgtest on clisp for the time being, too many failures
    on both amd64 and i386 (Closes: #901740)
  * Add Rules-Requires-Root: no
  * Migrate to new way of specifying debhelper compat level
  * Bump to S-V 4.2.1

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 18 Nov 2018 11:18:34 +0100
