=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 11),
                texinfo,
                sbcl,
                texlive-extra-utils,
                texlive,
                texlive-generic-recommended
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cffi
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cffi.git
-Homepage: http://common-lisp.net/project/cffi/
+Homepage: https://common-lisp.net/project/cffi/
+Rules-Requires-Root: no
 
 Package: cl-cffi
 Architecture: all
