## cffi 0.20.1

=== debian/changelog ===
cffi (1:0.20.1-1) unstable; urgency=medium

  * New upstream release
  * Bump to debhelper compat level 12
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.
  * Bump S-V to 4.4.1
  * Build-Depend on texlive-plain-generic instead of obsolete
    texlive-generic-recommended (Closes: #941514)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 Oct 2019 01:04:52 +0200
