=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                texinfo,
                sbcl,
                texlive-extra-utils,
                texlive,
-               texlive-generic-recommended
-Standards-Version: 4.2.1
+               texlive-plain-generic
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cffi
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cffi.git
 Homepage: https://common-lisp.net/project/cffi/
