=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,6 @@
 Depends: @, ecl, cl-bordeaux-threads
 Restrictions: allow-stderr
 
-Test-Command: clisp -norc debian/tests/runtests.lisp
-Depends: @, clisp, cl-asdf, cl-bordeaux-threads, cl-rt
-Restrictions: allow-stderr
+#Test-Command: clisp -norc debian/tests/runtests.lisp
+#Depends: @, clisp, cl-bordeaux-threads, cl-rt
+#Restrictions: allow-stderr
