## cffi 0.21.0

=== debian/changelog ===
cffi (1:0.21.0-1) unstable; urgency=medium

  * New upstream release
  * Bump S-V to 4.5.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 28 Jan 2020 21:18:16 +0100
