=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                texlive-extra-utils,
                texlive,
                texlive-plain-generic
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cffi
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cffi.git
 Homepage: https://common-lisp.net/project/cffi/
