=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make -C doc

override_dh_auto_test:
# Do not run testsuite at build time, rely on autopkgtest

override_dh_auto_clean:
	make -C doc clean

override_dh_install:
	dh_install
	rm debian/cl-cffi/usr/share/common-lisp/source/cl-cffi/uffi-compat/*.asd
