## cffi 0.22.1

=== debian/changelog ===
cffi (1:0.22.1-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/libffi8: Update search path to include libffi8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Oct 2020 08:10:51 +0200

cffi (1:0.22.1-2) unstable; urgency=medium

  * Add Depends on cl-rt for ecl autopkgtest. Since ecl 20.4.24, the rt
    contrib is no longer built by default. (Closes: #970335)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 15 Sep 2020 10:54:27 +0200

cffi (1:0.22.1-1ubuntu1) groovy; urgency=medium

  * debian/patches/libffi8: Update search path to include libffi8.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Sep 2020 17:21:08 -0700

cffi (1:0.22.1-1) unstable; urgency=medium

  * New upstream release
  * Bump to debhelper 13
  * d/rules: simplify using debhelper 12.8’s execute_after_* rules
  * Add d/upstream/metadata
  * Add dependency on zlib1g-dev: needed when compiling static programs
  * d/tests/runtests.lisp: add quirks for passing tests that compile
    static programs (now that SBCL is compiled with sb-linkable-runtime)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 04 Jul 2020 10:45:37 +0200
