=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: cffi
-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 12.8~),
                texinfo,
                sbcl,
                texlive-extra-utils,
@@ -25,7 +27,8 @@
          gcc,
          libc6-dev | libc-dev,
          pkg-config,
-         libffi-dev
+         libffi-dev,
+         zlib1g-dev
 Suggests: cl-bordeaux-threads,
           cl-rt
 Description: Common Foreign Function Interface for Common Lisp
