## cffi 0.23.0

=== debian/changelog ===
cffi (1:0.23.0-1) unstable; urgency=medium

  * New upstream release
  * Bump S-V to 4.5.1

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 24 Nov 2020 14:06:33 +0100
