=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cffi
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
@@ -12,7 +11,7 @@
                texlive-extra-utils,
                texlive,
                texlive-plain-generic
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cffi
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cffi.git
 Homepage: https://common-lisp.net/project/cffi/
