=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,5 @@
 override_dh_auto_clean:
 	make -C doc clean
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	rm debian/cl-cffi/usr/share/common-lisp/source/cl-cffi/uffi-compat/*.asd
