=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Restrictions: allow-stderr
 
 Test-Command: ecl -norc -shell debian/tests/runtests.lisp
-Depends: @, ecl, cl-bordeaux-threads
+Depends: @, ecl, cl-bordeaux-threads, cl-rt
 Restrictions: allow-stderr
 
 #Test-Command: clisp -norc debian/tests/runtests.lisp
