## cffi 0.24.1

=== debian/changelog ===
cffi (1:0.24.1-5) sid; urgency=medium

  * Only use FFI_UNIX64 on x86-64
  * Updated Standards-Version, no changes
  * Replace pkg-config with pkgconf in dependencies

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 05 Nov 2025 07:37:36 +0100

cffi (1:0.24.1-4) sid; urgency=medium

  * Fix test for newer babel version. (Closes: #1119855)

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 03 Nov 2025 13:03:03 +0100

cffi (1:0.24.1-3) unstable; urgency=medium

  * Add libzstd-dev autopkgtest dep for sbcl Test-Command (Closes: #1016746).
  * Replace Sébastien Villemot in Uploaders.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 08 Aug 2022 19:29:15 -0700

cffi (1:0.24.1-2) unstable; urgency=medium

  * d/upstream/metadata: fix Bug-Database field, add Bug-Submit
  * Tighten the Depends on cl-trivial-features, to ensure the :32-bit feature is
    present under SBCL and CLISP on 32-bit archs. (Closes: #999799)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 01 Dec 2021 08:44:40 +0100

cffi (1:0.24.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.0, no changes needed.
  * debian/rules: Export FORCE_SOURCE_DATE=1 in order for texlive to
    respect SOURCE_DATE_EPOCH when generating .dvi and .ps files. Thanks
    to Vagrant Cascadian. (Closes: #995648)
  * libffi8.patch: new patch, adds support for libffi8

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 04 Nov 2021 15:24:44 +0100
