=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cffi
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
+           Sean Whitton <spwhitton@spwhitton.name>
 Section: lisp
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +11,7 @@
                texlive-extra-utils,
                texlive,
                texlive-plain-generic
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cffi
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cffi.git
 Homepage: https://common-lisp.net/project/cffi/
@@ -21,11 +21,11 @@
 Architecture: all
 Depends: ${misc:Depends},
          cl-alexandria,
-         cl-trivial-features,
+         cl-trivial-features (>= 20210228.gitf6e8dd7-2~),
          cl-babel,
          gcc,
          libc6-dev | libc-dev,
-         pkg-config,
+         pkgconf,
          libffi-dev,
          zlib1g-dev
 Suggests: cl-bordeaux-threads,
