=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# Ensure texlive respects SOURCE_DATE_EPOCH (see #995648)
+export FORCE_SOURCE_DATE=1
 
 %:
 	dh $@
