## cffi 20080217

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile --- Make targets for various tasks.
 #
-# Copyright (C) 2005, James Bielman  <jamesjb@jamesjb.com>
+# Copyright (C) 2005-2006, James Bielman  <jamesjb@jamesjb.com>
 #
 # Permission is hereby granted, free of charge, to any person
 # obtaining a copy of this software and associated documentation
@@ -25,29 +25,44 @@
 # DEALINGS IN THE SOFTWARE.
 #
 
+# This way you can easily run the tests for different versions
+# of each lisp with, e.g. ALLEGRO=/path/to/some/lisp make test-allegro
+CMUCL    ?= lisp
+OPENMCL  ?= openmcl
+SBCL     ?= sbcl
+CLISP    ?= clisp
+ALLEGRO  ?= acl
+SCL      ?= scl
+
 shlibs:
 	@$(MAKE) -wC tests shlibs
 
 clean:
 	@$(MAKE) -wC tests clean
 	find . -name ".fasls" | xargs rm -rf
-	find . \( -name "*.dfsl" -o -name "*.fasl" -o -name "*.fas" -o -name "*.lib" -o -name "*.x86f" -o -name "*.ppcf" -o -name "*.nfasl" -o -name "*.fsl" \) -exec rm {} \;
+	find . \( -name "*.dfsl" -o -name "*.fasl" -o -name "*.fas" -o -name "*.lib" -o -name "*.x86f" -o -name "*.amd64f" -o -name "*.sparcf" -o -name "*.sparc64f" -o -name "*.hpf" -o -name "*.hp64f" -o -name "*.ppcf" -o -name "*.nfasl" -o -name "*.ufsl" -o -name "*.fsl" -o -name "*.lx64fsl" \) -exec rm {} \;
 
 test-openmcl:
-	@-openmcl --load tests/run-tests.lisp
+	@-$(OPENMCL) --load tests/run-tests.lisp
 
 test-sbcl:
-	@-sbcl --noinform --load tests/run-tests.lisp
+	@-$(SBCL) --noinform --load tests/run-tests.lisp
 
 test-cmucl:
-	@-lisp -load tests/run-tests.lisp
+	@-$(CMUCL) -load tests/run-tests.lisp
+
+test-scl:
+	@-$(SCL) -load tests/run-tests.lisp
 
 test-clisp:
-	@-clisp -q -x '(load "tests/run-tests.lisp")'
+	@-$(CLISP) -q -x '(load "tests/run-tests.lisp")'
+
+test-clisp-modern:
+	@-$(CLISP) -modern -q -x '(load "tests/run-tests.lisp")'
 
 test-allegro:
-	@-acl -L tests/run-tests.lisp
-	
+	@-$(ALLEGRO) -L tests/run-tests.lisp
+
 test: test-openmcl test-sbcl test-cmucl test-clisp
 
 # vim: ft=make ts=3 noet
