=== tests/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 OSTYPE = $(shell uname)
 
 CC             := gcc
-CFLAGS         := -lm -Wall -std=c99 -pedantic
+CFLAGS         := -Wall -std=c99 -pedantic
 SHLIB_CFLAGS   := -shared
 SHLIB_EXT      := .so
 
@@ -40,12 +40,16 @@
 CFLAGS         := -c -Wall -std=c99 -pedantic
 else
 # Let's assume this is win32
-SHLIB_EXT      := .dll 
+SHLIB_EXT      := .dll
 endif
 endif
 endif
 
 ARCH = $(shell uname -m)
+
+ifneq ($(ARCH), x86_64)
+CFLAGS += -lm
+endif
 
 ifeq ($(ARCH), x86_64)
 CFLAGS += -fPIC
@@ -56,21 +60,24 @@
 CFLAGS += -m64
 endif
 
-SHLIBS = libtest$(SHLIB_EXT)
+SHLIBS = libtest$(SHLIB_EXT) libtest2$(SHLIB_EXT)
 
-ifeq ($(ARCH), x86_64)
-SHLIBS += libtest32$(SHLIB_EXT)
-endif
+#ifeq ($(ARCH), x86_64)
+#SHLIBS += libtest32$(SHLIB_EXT)
+#endif
 
 shlibs: $(SHLIBS)
 
 libtest$(SHLIB_EXT): libtest.c
 	$(CC) -o $@ $(SHLIB_CFLAGS) $(CFLAGS) $<
 
-ifeq ($(ARCH), x86_64)
-libtest32$(SHLIB_EXT): libtest.c
-	$(CC) -m32 -o $@ $(SHLIB_CFLAGS) $(CFLAGS) $<
-endif
+libtest2$(SHLIB_EXT): libtest2.c
+	$(CC) -o $@ $(SHLIB_CFLAGS) $(CFLAGS) $<
+
+#ifeq ($(ARCH), x86_64)
+#libtest32$(SHLIB_EXT): libtest.c
+#	$(CC) -m32 -o $@ $(SHLIB_CFLAGS) $(CFLAGS) $<
+#endif
 
 clean:
 	rm -f *.so *.dylib *.dll *.bundle
