## cffi 20100219

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 OPENMCL  ?= openmcl
 SBCL     ?= sbcl
 CLISP    ?= clisp
-ALLEGRO  ?= acl
+ALLEGRO  ?= alisp
 SCL      ?= scl
 
 shlibs:
