=== tests/Makefile ===
shlibs clean:
	gmake $@
